vec4 getFragPos(vec2 coord, float depth) {
vec4 fragpos = gbufferProjectionInverse * vec4(vec3(coord.s, coord.t, depth) * 2.0 - 1.0, 1.0);
fragpos /= fragpos.w;

return fragpos;
}

vec4 getWorldPos(vec4 fragpos) {
vec4 worldpos = gbufferModelViewInverse * fragpos;

return worldpos;
}